Bug 332969 - EXCEPTION_ACCESS_VIOLATION while going through raw pictures
Summary: EXCEPTION_ACCESS_VIOLATION while going through raw pictures
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-DImg-RAW (show other bugs)
Version: 3.4.0
Platform: Microsoft Windows Microsoft Windows
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-02 14:07 UTC by Markus
Modified: 2017-07-28 20:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments
backtrace as normal user (31.09 KB, text/plain)
2014-04-02 14:08 UTC, Markus
Details
backtrace as admin (27.05 KB, text/plain)
2014-04-02 14:08 UTC, Markus
Details
Computer dxdiag (37.44 KB, text/plain)
2014-04-02 14:08 UTC, Markus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus 2014-04-02 14:07:23 UTC
I have ~5gb folder of .NEF pictures and while I watch those files in album mode, digikam sometimes while opening pictures crashes with signal: EXCEPTION_ACCESS_VIOLATION. It doesn't seem to relate to what picture I'm looking in that folder, it just happens randomly.
I ran digikam with normal user and after that as admin and it happened both times. 
Digikam uses JPG preview images.

Reproducible: Sometimes

Steps to Reproduce:
1. Open digikam 
2. Open album
3. Click through pictures
4. Crash
Actual Results:  
Crash screen. 

Expected Results:  
Open picture.
Comment 1 Markus 2014-04-02 14:08:03 UTC
Created attachment 85906 [details]
backtrace as normal user
Comment 2 Markus 2014-04-02 14:08:27 UTC
Created attachment 85907 [details]
backtrace as admin
Comment 3 Markus 2014-04-02 14:08:51 UTC
Created attachment 85908 [details]
Computer dxdiag
Comment 4 caulier.gilles 2014-04-02 14:12:36 UTC
The traces do not permit to investiguate. There is no source code indicated.

Please, follow instructions in this page to get a better backtrace to hack

http://techbase.kde.org/Development/Tutorials/Debugging/Debugging_on_MS_Windows

Gilles Caulier
Comment 5 caulier.gilles 2015-06-29 17:46:13 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 6 caulier.gilles 2015-07-06 07:39:14 UTC
digiKam 4.11.0 Windows installer is available for download :

http://download.kde.org/stable/digikam/digiKam-installer-4.11.0-win32.exe.mirrorlist
Comment 7 caulier.gilles 2015-08-20 06:50:45 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 8 caulier.gilles 2016-07-14 16:47:16 UTC
With digiKam 5.0.0 Windows installer, this problem is not reproducible.
I close this file now. Don't hesitate to re-open if necessary.
Gilles Caulier